Bug 1119489 - [Sprint 48] /etc/sysconfig/watchman does not exist
Summary: [Sprint 48] /etc/sysconfig/watchman does not exist
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Containers
Version: 2.1.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: ---
Assignee: Brenton Leanhardt
QA Contact: Bilhar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 21:52 UTC by nicholas_schuetz
Modified: 2014-08-04 13:27 UTC (History)
8 users (show)

Fixed In Version: openshift-origin-node-util-1.22.12.1-1
Doc Type: Bug Fix
Doc Text:
The /etc/sysconfig/watchman file could be created and used as a configuration file for Watchman, however a default file did not exist. The OpenShift Enterprise Administration Guide mentioned this file, which caused confusion when it was missing. This bug fix creates a default /etc/sysconfig/watchman file, and the file now exists as expected.
Clone Of:
Environment:
Build Name: 20822, Administration Guide-2-1.0 Build Date: 09-07-2014 13:30:27 Topic ID: 28750-638463 [Latest]
Last Closed: 2014-08-04 13:27:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0999 normal SHIPPED_LIVE Red Hat OpenShift Enterprise 2.1.4 bug fix and enhancement update 2014-08-04 17:26:43 UTC

Description nicholas_schuetz 2014-07-14 21:52:11 UTC
Title: Enabling and Configuring Watchman

Describe the issue:

In the Watchman Environment Variables section the documentation suggests adding any of the variables defined to /etc/sysconfig/watchman. That file does not exist. 

Suggestions for improvement:

Document that the user must create the file and/or have it created as a part of the openshift-origin-node-util package.

Additional information:

Comment 2 Brenton Leanhardt 2014-07-15 11:49:43 UTC
For what it's worth we have an update to watchman in OpenShift Enterprise 2.1.4 which will be released in a couple weeks.  That version will ship /etc/sysconfig/watchman.

Comment 3 brice 2014-07-16 01:21:11 UTC
Brenton, sorry, but just to clarify. Are you saying that there was originally no /etc/sysconfig/watchman file, but you could create it when you're modifying your watchman configuration? But now, with 2.1.4, the file already exists?

If this is the case, then there may not be anything to modify here.

Comment 5 Brenton Leanhardt 2014-07-16 11:53:55 UTC
Yes, originally there was no /etc/sysconfig/watchman but you could indeed create it.  One will ship by default as soon as we can get 2.1.4 out the door.

Comment 8 Anping Li 2014-07-17 01:52:06 UTC
Verified and pass on puddle-2-1-2014-07-15
1) update from GA build to puddle-2-1-2014-07-15. The file is added.
2) install fresh puddle-2-1-2014-07-15. The file is installed.

Comment 10 errata-xmlrpc 2014-08-04 13:27:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0999.html


Note You need to log in before you can comment on or make changes to this bug.